MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027436Open CASCADE[OCCT] OCCT:Configurationpublic2016-04-26 16:512016-12-09 16:37
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSWindowsOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027436: Configuration, CMake - the configuration process should not stop if a sought dynamic 3rdparty library is not found
DescriptionThe CMake configuration process stops if a sought dynamic library of some 3rdparty product is not found.

In case of a static built of the 3rdparty library, there is no need in dynamic library at all.

Thus, if a dynamic library is not found by the configuration process, a corresponding warning should be emitted and the process should not stop due to this.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0054050)
ski (developer)
2016-05-16 12:03
edited on: 2016-05-16 13:35

Dear bugmaster,

This issue was resolved and verified in #27380.
CMake procedures searches only header files during configuration for STATIC build in current state of master.


- Issue History
Date Modified Username Field Change
2016-04-26 16:51 ibs New Issue
2016-04-26 16:51 ibs Assigned To => ibs
2016-04-26 16:52 ibs Summary Configuration, CMake, TCL - the configuration process should not stop if sought dynamic library and its folder is not found => Configuration, CMake - the configuration process should not stop if sought dynamic library and its folder is not found
2016-04-26 16:52 ibs Description Updated View Revisions
2016-04-26 16:55 ibs Summary Configuration, CMake - the configuration process should not stop if sought dynamic library and its folder is not found => Configuration, CMake - the configuration process should not stop if a sought dynamic 3rdparty library is not found
2016-04-26 16:55 ibs Description Updated View Revisions
2016-04-26 16:58 ibs Assigned To ibs => ski
2016-04-26 17:03 ibs Description Updated View Revisions
2016-05-10 10:52 ski Status new => assigned
2016-05-16 12:03 ski Note Added: 0054050
2016-05-16 12:03 ski Assigned To ski => bugmaster
2016-05-16 12:03 ski Status assigned => feedback
2016-05-16 13:35 ski Note Edited: 0054050 View Revisions
2016-05-18 11:33 bugmaster Status feedback => tested
2016-05-18 11:33 bugmaster Status tested => verified
2016-05-18 11:33 bugmaster Resolution open => fixed
2016-12-09 16:33 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker